Loading...
Searching...
No Matches
filter.hpp File Reference
`#include <osmium/memory/collection.hpp>`
`#include <osmium/osm/tag.hpp>`
`#include <cstddef>`
`#include <cstring>`
`#include <string>`
`#include <type_traits>`
`#include <vector>`
Include dependency graph for filter.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | osmium::tags::match_key< TKey >
struct | osmium::tags::match_key< std::string >
struct | osmium::tags::match_key_prefix
struct | osmium::tags::match_value< TValue >
struct | osmium::tags::match_value< std::string >
struct | osmium::tags::match_value< void >
class | osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >
struct | osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >::Rule

## Namespaces

namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::tags
| Code related to working with OSM tags.

## Typedefs

using | osmium::tags::KeyValueFilter = Filter<std::string, std::string>
using | osmium::tags::KeyFilter = Filter<std::string>
using | osmium::tags::KeyPrefixFilter = Filter<std::string, void, match_key_prefix>